{% extends "base.html" %}

{% block title %}
    Task List
{% endblock title %}
{% block content %}
    <main>
        <div class="my-tasks-list">
            <h1>My Tasks</h1>
            <p>
                <a href="{% url "create_task" %}">+ Create a new task</a>
            </p>
            {% if task_list.all|length < 1 %}
                <p>You have no tasks</p>
            {% else %}
                <table>
                    <thead>
                        <tr>
                            <th>Name</th>
                            <th>Start date</th>
                            <th>Due date</th>
                            <th>Complete?</th>
                            <th>Project</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for task in task_list %}
                            <tr>
                                <td><a href="{% url "show_task" task.id %}">{{ task.name }}</a></td>
                                <td>{{ task.start_date }}</td>
                                <td>{{ task.due_date }}</td>
                                <td>{{ task.is_complete|yesno }}</td>
                                <td>{{ task.project.name }}</td>
                            </tr>
                        {% endfor %}
                    </tbody>
                </table>
            {% endif %}
        </div>
    </main>
{% endblock content %}
